should I upgrade from 1.1.4 to 2.1 for jailbreak app availabiliy?

Discussion in 'Jailbreaks and iOS Hacks' started by rotobadger, Sep 19, 2008.

  1. rotobadger macrumors 65816

    rotobadger

    Joined:
    Sep 18, 2007
    #1
    If I stay on 1.1.4 jailbroken will I get left behind as far as apps go or is the support still comparable to the 2.1 support? I still think 1.1.4 is superior and would prefer to stick with it but want the diverse apps.

    What do you think?
     
  2. ebony macrumors regular

    Joined:
    Mar 22, 2007
    #2
    if you want to use your phone as a phone with no lag using the existing apps stick to 1.1.4

    If I could downgrade to 1.1.4 from 2.1, I would do it in a blink of an eye.

    2.1 is garbage when compared to 1.1.4

    with 2.1 you get some apps and new features, but the phone is basically a joke to use, its that laggy.
     
  3. Four20 macrumors 6502a

    Four20

    Joined:
    Sep 22, 2007
  4. rotobadger thread starter macrumors 65816

    rotobadger

    Joined:
    Sep 18, 2007
    #4
    Ebony:

    If you are on a first gen iPhone then you can downgrade from 2.1 to 1.1.4 That's what I did. Let me know if you need to know how I did it.
     
  5. ebony macrumors regular

    Joined:
    Mar 22, 2007
    #5
    I'd love to know how to ( then I can stop whining ). I tried following the iClarified method, and got as far as restoring the firmware up to step 10, but then had issues, can't remember exact details.

    I could never find a download of pwnage 1.0, which didn't help.

    If you can help to downgrade to 1.1.4 it would be most appreciated.
     
  6. ebony macrumors regular

    Joined:
    Mar 22, 2007
    #6
    I finally got it to work, I'm now on 1.1.4.... at last I can use my phone as a phone with no lag, no crashes.

    2.1 to 1.1.4 is the best upgrade I've ever done.:D
     
  7. navigates macrumors 6502a

    Joined:
    Jul 13, 2008
    #7
    I have no issues with 2.1 at all. Granted 1.1 may be stable but I've used 2.1 as a road warrior and it works flawless. Also 2.1 has solved my 3g issues too. Oh btw sent from iPhone. :)
     
  8. bruno7 macrumors member

    Joined:
    Mar 10, 2008
    #8
    Hi,

    Could you please tell me how to downgrade 2.1 to 1.1.4 on a 2G iPhone?
    I'm running 1.1.4 now but I've been thinking about and upgrade to 2.1 for week and I guess I'm gonna go for it but I want to be sure that there is a way back... ;-)

    Thank you very much.
     
  9. sid432 macrumors newbie

    Joined:
    Sep 21, 2008
    #9
    I am having the same problem.. I have first generation iphone and by mistake upgraded to 2.1 and stuck with it . can you please tell me the procedure how to downgrade to 1.1.4 and use my iphone up and running again. please help me out as it is left as piece of crap on my study table.thankx and any replies would be appreciated.....
     
  10. deggs macrumors newbie

    Joined:
    Sep 26, 2008
    #10
    hi could you please let me know how you did this in the end? I've a 2g phone that I upgraded from 1.1.2 to 2.1 and want to go back, ideally to 1.1.2 but 1.1.4 will be just as good at the moment.

    cheers
     
  11. ebony macrumors regular

    Joined:
    Mar 22, 2007
    #11
    i used the tutorial from iclarified.

    http://www.iclarified.com/entry/index.php?enid=1504

    I had to do the process a few times, when you get to step 10 you have to force the phone into emergency phone call only mode, and then back into restore mode, then use pwnage 1.0.

    To force it out of restore mode at step 10 I had to use iliberty which crashed straight away but did force the phone out of restore into emergency phone call only mode.

    I had to do the process several times before getting it right so expect to have to restore and start the process from scratch a few times before you get it right.
     
  12. The General macrumors 601

    Joined:
    Jul 7, 2006
    #12
    Why would 1.1.2 be more ideal than 1.1.4?

    1.1.2 doesn't even have icon wiggle mode or double tab home button.
     
  13. deggs macrumors newbie

    Joined:
    Sep 26, 2008
    #13
    cos I knew 1.1.2 works just fine for me and I never went to 1.1.4 that's all. as it happens I've jut gone to 1.1.4 on my way back down and I've stopped there (at least for now) and its pretty good.

    thanks for the link ebony. most useful
     

Share This Page